Patches for aports can be sent to this list

[alpine-aports] [PATCH] testing/mergerfs: new aport

Nathan Caldwell
Details
Message ID
<20161220062304.30377-1-saintdev@gmail.com>
Sender timestamp
1482214984
DKIM signature
missing
Download raw message
Patch: +31 -0
https://github.com/trapexit/mergerfs
A union filesystem focused on simplifying storage and management of files among multiple drives.
---
 testing/mergerfs/APKBUILD | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)
 create mode 100644 testing/mergerfs/APKBUILD

diff --git a/testing/mergerfs/APKBUILD b/testing/mergerfs/APKBUILD
new file mode 100644
index 0000000000..b91badcb3f
--- /dev/null
+++ b/testing/mergerfs/APKBUILD
@@ -0,0 +1,31 @@
+# Contributor: Nathan Caldwell <saintdev@gmail.com>
+# Maintainer: Nathan Caldwell <saintdev@gmail.com>
+pkgname=mergerfs
+pkgver=2.18.0
+pkgrel=0
+pkgdesc="A FUSE based union filesystem"
+url="https://github.com/trapexit/mergerfs"
+arch="all"
+license="ISC"
+depends="libattr fuse"
+depends_dev="attr-dev fuse-dev linux-headers"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="$pkgname-$pkgver.tar.gz::https://github.com/trapexit/$pkgname/releases/download/$pkgver/$pkgname-$pkgver.tar.gz"
+
+builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+	cd "$builddir"
+	make OPTS="$CXXFLAGS" || return 1
+}
+
+package() {
+	cd "$builddir"
+	make PREFIX="/usr" DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="1a32360d8814710344313f1ae886d722  mergerfs-2.18.0.tar.gz"
+sha256sums="17944fabb070f1f8a5a7e4c5b3d4a40baa1a6cf8efea9887993279479e6616e5  mergerfs-2.18.0.tar.gz"
+sha512sums="da2492e9a00f990907355028d58eceeefe1260d4d42c3e0b32ba8dd3fd91c2a91189e042e0ec18f5530b9f838efa29f5189e38a3cf8e44cabd3490a982ee81f8  mergerfs-2.18.0.tar.gz"
-- 
2.11.0



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---